%define oname	TrustedQSL
%define sname	tqsl
#define tqslver	%%(echo %%{version} | cut -d. -f1,2)
%define tqslver	2.5

Summary:	TrustedQSL ham-radio applications
Name:		trustedqsl
Version:	2.7.3
Release:	%mkrel 1
License:	BSD-like
Group:		Networking/Other
Url:		https://sourceforge.net/projects/trustedqsl/
# https://www.arrl.org/tqsl-download
Source0:	https://downloads.sourceforge.net/%{name}/%{sname}-%{version}.tar.gz
# from fedora:
Patch50:	tqsl-2.7.1-tqsllib.patch
BuildRequires:	cmake
BuildRequires:	dos2unix
BuildRequires:	wxgtk-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(lmdb)

%description
The TrustedQSL applications are used for generating digitally signed
QSO records (records of Amateur Radio contacts). This package
contains the GUI application tqsl.

%prep
%autosetup -p1 -n %{sname}-%{version}

#fix EOL
dos2unix README

%build
export CXXFLAGS="%{build_cxxflags} -Wno-deprecated-declarations"
%cmake \
	-DCMAKE_SKIP_INSTALL_RPATH:BOOL=ON \
	-DBUILD_ALL_EXTRAPROGS:BOOL=ON
%cmake_build

%install
%cmake_install

%find_lang tqslapp

#fix .desktop files
desktop-file-install \
	--remove-key=Encoding \
	--remove-category=Application \
	--add-category=Network \
	--dir %{buildroot}%{_datadir}/applications/ \
	%{buildroot}%{_datadir}/applications/*.desktop

#no devel pkg
rm -rf %{buildroot}%{_includedir}
rm -rf %{buildroot}%{_libdir}/libtqsllib.so

%files -f tqslapp.lang
%doc LICENSE.txt README AUTHORS.txt html/
%{_bindir}/%{sname}
%{_libdir}/libtqsllib.so.%{tqslver}
%{_datadir}/%{oname}/
%{_datadir}/applications/org.arrl.%{name}.desktop
%{_datadir}/pixmaps/%{oname}.png
%{_iconsdir}/hicolor/*/apps/org.arrl.%{name}.png
%{_mandir}/man?/%{sname}.?.*


%changelog
* Wed Apr 24 2024 daviddavid <daviddavid> 2.7.3-1.mga10
+ Revision: 2060827
- new version: 2.7.3

* Thu Dec 14 2023 daviddavid <daviddavid> 2.7.2-1.mga10
+ Revision: 2018144
- new version: 2.7.2

* Wed Nov 08 2023 daviddavid <daviddavid> 2.7.1-1.mga10
+ Revision: 2005230
- new version: 2.7.1

* Sat Oct 01 2022 neoclust <neoclust> 2.6.5-1.mga9
+ Revision: 1893706
- New version 2.6.5

* Sun Sep 11 2022 neoclust <neoclust> 2.6.4-1.mga9
+ Revision: 1886951
- New version 	2.6.4

* Sun Aug 21 2022 papoteur <papoteur> 2.6.2-1.mga9
+ Revision: 1879035
- new 2.6.2

* Fri Jul 15 2022 wally <wally> 2.5.9-6.mga9
+ Revision: 1869000
- rebuild for wxgtk 3.2.0

* Sun Jun 12 2022 wally <wally> 2.5.9-5.mga9
+ Revision: 1864109
- rebuild for wxgtk 3.1.7

* Fri Apr 15 2022 wally <wally> 2.5.9-4.mga9
+ Revision: 1849997
- rebuild for wxgtk 3.1.6

* Sun Apr 03 2022 umeabot <umeabot> 2.5.9-3.mga9
+ Revision: 1842857
- Mageia 9 Mass Rebuild

* Sat Jan 15 2022 wally <wally> 2.5.9-2.mga9
+ Revision: 1768487
- rebuild for wxgtk 3.1.5 with working wxSizer::SetSizeHints()

* Sat Jan 01 2022 wally <wally> 2.5.9-1.mga9
+ Revision: 1765895
- new version 2.5.9 with build fixes from ustream
- rebuild for wxgtk 3.1.5 to resolve 'Symbol X has different size in shared object, consider re-linking' error
- rebuild for openssl 3.0.0

* Fri Jan 01 2021 wally <wally> 2.5.7-2.mga8
+ Revision: 1667730
- rebuild for wxgtk pre 3.1.5 snapshot

* Fri Nov 20 2020 daviddavid <daviddavid> 2.5.7-1.mga8
+ Revision: 1647931
- new version: 2.5.7

* Mon Nov 16 2020 daviddavid <daviddavid> 2.5.6-1.mga8
+ Revision: 1646461
- new version: 2.5.6

* Mon Sep 14 2020 daviddavid <daviddavid> 2.5.5-1.mga8
+ Revision: 1626503
- new version: 2.5.5

* Sun Aug 16 2020 wally <wally> 2.5.4-2.mga8
+ Revision: 1614371
- rebuild for new wxgtk 3.1.4

* Tue May 19 2020 daviddavid <daviddavid> 2.5.4-1.mga8
+ Revision: 1586128
- new version: 2.5.4

* Fri Apr 24 2020 daviddavid <daviddavid> 2.5.3-1.mga8
+ Revision: 1571537
- new version: 2.5.3

* Wed Apr 08 2020 daviddavid <daviddavid> 2.5.2-1.mga8
+ Revision: 1565508
- fix release tag

* Wed Apr 08 2020 daviddavid <daviddavid> 2.5.2-0.1.mga8
+ Revision: 1565507
- new version: 2.5.2
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 18 2020 umeabot <umeabot> 2.5.1-2.mga8
+ Revision: 1538316
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Wed Nov 20 2019 daviddavid <daviddavid> 2.5.1-1.mga8
+ Revision: 1461754
- new version: 2.5.1

* Tue Nov 12 2019 wally <wally> 2.4.7-3.mga8
+ Revision: 1459492
- rebuild for wxgtk 3.1.3

* Sun Jul 14 2019 wally <wally> 2.4.7-2.mga8
+ Revision: 1421076
- rebuild with gtk3 enabled wxgtk 3.1.2

* Sun May 05 2019 daviddavid <daviddavid> 2.4.7-1.mga7
+ Revision: 1396384
- new version: 2.4.7

* Mon Jan 14 2019 daviddavid <daviddavid> 2.4.3-1.mga7
+ Revision: 1356339
- new version: 2.4.3

* Sat Nov 24 2018 daviddavid <daviddavid> 2.4.2-1.mga7
+ Revision: 1333873
- new version: 2.4.2

* Fri Nov 02 2018 daviddavid <daviddavid> 2.4.1-1.mga7
+ Revision: 1327566
- new version: 2.4.1

* Sun Sep 23 2018 umeabot <umeabot> 2.4-2.mga7
+ Revision: 1301462
- Mageia 7 Mass Rebuild

* Mon Apr 02 2018 daviddavid <daviddavid> 2.4-1.mga7
+ Revision: 1214710
- new version: 2.4
- rename and rediff lib-location patch

* Mon Oct 09 2017 daviddavid <daviddavid> 2.3.1-1.mga7
+ Revision: 1170458
- new version: 2.3.1
- rename and rediff lib-location patch
- port to wxgtk 3.0
- application tqslcert no more provided
- improve description

* Mon Feb 08 2016 umeabot <umeabot> 1.14.3-8.mga6
+ Revision: 943244
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.14.3-7.mga5
+ Revision: 743134
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.14.3-6.mga5
+ Revision: 689960
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.14.3-5.mga4
+ Revision: 531976
- Mageia 4 Mass Rebuild

* Wed Aug 14 2013 wally <wally> 1.14.3-4.mga4
+ Revision: 466449
- drop unneeded obsoletes

* Wed Aug 14 2013 wally <wally> 1.14.3-3.mga4
+ Revision: 466448
- obsolete tqsllib-devel to remove it from mirrors

* Wed Aug 14 2013 wally <wally> 1.14.3-2.mga4
+ Revision: 466444
- add modification note to patch

* Wed Aug 14 2013 wally <wally> 1.14.3-1.mga4
+ Revision: 466438
- new version 1.14.3
- obsolete tqsllib (now bundled with trustedqsl)
- install unversioned lib to %%_libdir/trustedqsl (slightly modified patch originally from Debian)

* Mon Jan 14 2013 umeabot <umeabot> 1.13-6.mga3
+ Revision: 384829
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 pterjan <pterjan> 1.13-5.mga3
+ Revision: 335423
- Fix obsolete Copyright tag

* Sun Jul 24 2011 ahmad <ahmad> 1.13-5.mga2
+ Revision: 128209
- Rebuild against wxgtk2.8 with enabled catch_segvs
- Add BR desktop-file-utils

* Sun Jun 19 2011 wally <wally> 1.13-4.mga2
+ Revision: 109823
- autoreconf sources before configure

* Sun Jun 19 2011 wally <wally> 1.13-3.mga2
+ Revision: 109663
- require tqsllib

* Sun Jun 19 2011 wally <wally> 1.13-2.mga2
+ Revision: 109623
- imported package trustedqsl

